Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.InvalidOperationException

The class is thrown by classes descended from and that implement pluggable protocols for accessing the Internet.

When is thrown by a descendant of the class, the property provides the Internet response to the application.

The exception that is thrown when an error occurs while accessing the network through a pluggable protocol.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The default constructor initializes a new instance of the class. The property is initialized to a system-supplied message that describes the error. This message takes into account the current system culture. The and properties are initialized to null. The property is initialized to .

  Initializes a new instance of the class.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The instance is initialized with the property set to the value of . If is null, the property is initialized to a system-supplied message. The and properties are initialized to null. The property is initialized to .

  Initializes a new instance of the class with the specified error message.

  The text of the error message.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor implements the interface for the class.

  Initializes a new instance of the class from the specified and instances.

  A that contains the information required to serialize the new .
  A that contains the source of the serialized stream that is associated with the new .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The instance is initialized with the property set to the value of and the property set to the value of . If is null, the property is initialized to a system-supplied message. The and properties are initialized to null. The property is initialized to .

  Initializes a new instance of the class with the specified error message and nested exception.

  The text of the error message.
  A nested exception.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The instance is initialized with the property set to the value of and the property set to the value of . If is null, the property is initialized to a system-supplied message. The and properties are initialized to null.

  Initializes a new instance of the class with the specified error message and status.

  The text of the error message.
  One of the values.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The instance is initialized with the property set to the value of , the property set to the value of , the property set to the value of , and the property set to the value of . If is null, the property is initialized to a system-supplied message.

  Initializes a new instance of the class with the specified error message, nested exception, status, and response.

  The text of the error message.
  A nested exception.
  One of the values.
  A instance that contains the response from the remote host.
  0
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Populates a instance with the data needed to serialize the .

  The to be used. The to be used.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebResponse

  A instance containing the error response if one is available; otherwise, .

  Some Internet protocols, such as HTTP, return otherwise valid responses indicating that an error has occurred at the protocol level. When the response to an Internet request indicates an error, sets the property to and provides the that contains the error message in the property of the that was thrown. The application can examine the to determine the actual error.

  Gets the response that the remote host returned.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebExceptionStatus

  A value that indicates the status of the response.

  The property indicates the reason for the .

  The value of is one of the values.

  The error is not returned to win8_appname_long apps.

  Gets the status of the response.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Serializes this instance into the specified object.

0